<?php
declare (strict_types = 1);

namespace app\admin\controller;

use think\Request;
use think\facade\View;
use think\facade\Db;

class Categoryadd extends Common
{
    
    public function edit($id)
    {
        //添加二级页面
        $edit=Db::name('category')->find($id);
        $model=Db::name('model')->where('status',1)->order('sort asc,id asc')->select();
        $lst=Db::name('category')->order('id asc')->select();
        $lst=tree($lst);
        $result=[];
        foreach($model as $k=>$v){
            $result[]=$v['details'];
        }
        $dir = 'template/index/index';
        $files = scandir($dir);
        $res = array_diff($files, $result);
        // 使用 array_filter 和闭包函数
        $template = array_filter($res, function($item) {
            // 检查元素是否以 ".com" 后缀结束
            return substr($item, -5) === '.html';
        });
        View::assign([
            'edit'=>$edit,
            'model'=>$model,
            'lst'=>json_encode($lst, JSON_UNESCAPED_UNICODE),
            'template'=>$template,
        ]);
        return View::fetch('edit');
    }

    
   
}
