
        
         
        $(".tips").on("mouseover",function(){
            layer.tips($(this).data('content'), this);
        })
        
        function showBigImage(e) {
            layer.open({
                type: 1,
                title: false,
                closeBtn: 1,
                shadeClose: true, //点击阴影关闭
                area: [$(e).width + 'px', $(e).height + 'px'], //宽高
                content: "<img src=" + $(e).attr('src') + " style='max-height:600px;max-width:100%;' />"
            });
        }

        

        

        
        layui.use(['layer', 'form', 'upload', 'laydate'], function () {
            var layer = layui.layer;
            var tipsIndex = null;
            var form = layui.form;
            var upload = layui.upload;
            var laydate = layui.laydate;
            form.render(); // 关键


            //选择模型切换模板
            form.on('select(model)', function (data) {
                var elem = data.elem;
                var type = $(elem).find("option:selected").data('type');
                var listtpl = $(elem).find("option:selected").data('listtpl');
                var contenttpl = $(elem).find("option:selected").data('contenttpl');

                $(elem).parents('form').find("#type").val(type);
                addOptionValue("listtpl", listtpl, listtpl);
                addOptionValue("contenttpl", contenttpl, contenttpl);
                $(elem).parents('form').find("#listtpl").val(listtpl);
                $(elem).parents('form').find("#contenttpl").val(contenttpl);
                form.render(null, 'sort');
            }); 


            var uploadFileInst = upload.render({
                elem: '.file' //绑定元素
                ,url: '/admin/upload/upload_file' //上传接口
                ,multiple: false //多文件上传
                ,accept: 'file' //接收文件类型 images（图片）、file（所有文件）、video（视频）、audio（音频）
                ,before: function () {
                    window.uploadLoadingIndex = layer.msg(
                        '<i class="layui-icon layui-icon-loading layui-anim layui-anim-rotate layui-anim-loop" style="font-size:24px; margin-right:10px;"></i>正在上传附件，请稍后...',
                        {
                            icon: 0,
                            time: 0,
                            shade: 0.3,
                            shadeClose: false
                        }
                    );
                }
                ,done: function(res){
                var item = this.item;
                var des=$(item).data('des');
                layer.close(window.uploadLoadingIndex);
                    $('#'+des).val(res.path); 
                    layer.msg('上传完成', {
                        icon: 1, time: 2000
                    });
                }
                ,error: function(){
                    layer.closeAll('loading'); //关闭loading
                    layer.msg('上传发生错误！'); 
                }
            });


            //使用多日期控件
            useLayDateMultiple('year', 'year');
            useLayDateMultiple('month', 'month');
            useLayDateMultiple('time', 'time');
            useLayDateMultiple('date', 'date');
            useLayDateMultiple('datetime', 'datetime');

            //日期控件函数
            function useLayDateMultiple(cls, type) {
                layui.use('laydate', function () {
                    var laydate = layui.laydate;
                    lay('.' + cls).each(function () {
                        laydate.render({
                            elem: this,
                            type: type,
                        });
                    });
                });
            } 
            
            

            // 点击加号弹窗
            $(document).on('click', '.multi-img-add', function () {
                var imgs = $('#multi_product_imgs').val();
                var selectedArr = imgs ? imgs.split(',').filter(Boolean) : [];
                var selectedImage = selectedArr.length > 0 ? selectedArr[0] : '';
                layer.open({
                    type: 2,
                    title: ['选择图片', 'border:none'],
                    area: ['1000px', '620px'],
                    content: '/admin/index/images.html?multi=1&selectedImages=' + encodeURIComponent(imgs) + '&selectedImage=' + encodeURIComponent(selectedImage),
                    btn: ['取消', '确定'],
                    btnAlign: 'c',
                    btn2: function (index, layero) {
                        var iframeWindow = layero.find('iframe')[0].contentWindow;
                        var selectedArr = [];
                        if (iframeWindow && iframeWindow.getMultiSelectedImages) {
                            selectedArr = iframeWindow.getMultiSelectedImages();
                        } else if (iframeWindow && iframeWindow.getSelectedImage) {
                            var single = iframeWindow.getSelectedImage();
                            if (single) selectedArr = [single];
                        }
                        if (Array.isArray(selectedArr)) {
                            $('#multi_product_imgs').val(selectedArr.join(','));
                            renderMultiImgList(selectedArr);
                        }
                        layer.close(index);
                    }
                });
            });

            // 渲染多图缩略图
            function renderMultiImgList(imgArr) {
                var $list = $('#multi-img-list');
                $list.find('.multi-img-thumb').remove(); // 先移除旧的
                (imgArr || []).forEach(function (url, idx) {
                    if (!url) return;
                    // 插入到加号前面
                    var thumb = $(`
                                       <div class="multi-img-thumb">
                                        <img src="${url}">
                                        <button type="button" class="layui-btn layui-btn-danger layui-btn-xs multi-img-del-btn">
                                            <i class="layui-icon layui-icon-close"></i>
                                        </button>
                                    </div>
                                    `);
                    $list.find('.multi-img-add').before(thumb);
                });
            }

            // 多图缩略图点击放大预览
            $(document).on('click', '.multi-img-thumb img', function () {
                var src = $(this).attr('src');
                layer.photos({
                    photos: {
                        "title": "图片预览",
                        "data": [
                            {
                                "alt": "图片预览",
                                "src": src,
                                "thumb": src
                            }
                        ]
                    },
                    anim: 5
                });
            });

            // 删除图片
            $(document).on('click', '.multi-img-del-btn', function (e) {
                e.stopPropagation();
                var idx = $(this).data('idx');
                var arr = ($('#multi_product_imgs').val() || '').split(',').filter(Boolean);
                arr.splice(idx, 1);
                $('#multi_product_imgs').val(arr.join(','));
                renderMultiImgList(arr);
            });

            // 初始化（如果有值）
            $(function () {
                var arr = ($('#multi_product_imgs').val() || '').split(',').filter(Boolean);
                renderMultiImgList(arr);
            });

            // 拖拽排序功能
            var multiImgList = document.getElementById('multi-img-list');
            if (multiImgList) {
                Sortable.create(multiImgList, {
                    filter: '.multi-img-add', // 禁止加号被拖动
                    animation: 150,
                    onEnd: function (evt) {
                        // 拖拽结束后，重新收集图片顺序
                        var arr = [];
                        $('#multi-img-list .multi-img-thumb img').each(function () {
                            arr.push($(this).attr('src'));
                        });
                        $('#multi_product_imgs').val(arr.join(','));
                        renderMultiImgList(arr);
                    }
                });
            }

            // 选择图片按钮点击（单图）
            $(document).on('click', '.openLayerBtn', function () {
                
                var $group = $(this).closest('.img-upload-group');
                var $input = $group.find('.img-url-input');
                var selectedImage = $input.val() || '';
                layer.open({
                    type: 2,
                    title: ['选择图片', 'border:none'],
                    area: ['1000px', '620px'],
                    content: '/admin/index/images.html?selectedImage=' + encodeURIComponent(selectedImage),
                    btn: ['取消', '确定'],
                    btnAlign: 'c',
                    btn2: function (index, layero) {
                        var iframeWindow = layero.find('iframe')[0].contentWindow;
                        if (iframeWindow) {
                            var innerIframe = iframeWindow.document.getElementById('content_body');
                            if (innerIframe && innerIframe.contentWindow) {
                                var selectedInfo = innerIframe.contentWindow.getFullSelectedImage && innerIframe.contentWindow.getFullSelectedImage();
                                if (selectedInfo && selectedInfo.url) {
                                    $input.val(selectedInfo.url).trigger('input');
                                    form.render('input');
                                } else if (innerIframe.contentWindow.getSelectedImage) {
                                    var selected = innerIframe.contentWindow.getSelectedImage();
                                    $input.val(selected || '').trigger('input');
                                    form.render('input');
                                }
                            }
                        }
                        layer.close(index);
                    }
                });
            });

            // 预览图标悬停
            $(document).on('mouseenter', '.icoPreviewIcon', function () {
                var $group = $(this).closest('.img-upload-group');
                var url = $group.find('.img-url-input').val();
                if (url) {
                    var offset = $(this).offset();
                    var scrollTop = $(window).scrollTop();
                    var topSpace = offset.top - scrollTop;
                    var tipsDir = 1;
                    if (topSpace < 200) tipsDir = 3;
                    tipsIndex = layer.tips(
                        '<img src="' + url + '" style="max-width:180px;max-height:180px;">',
                        this,
                        {
                            tips: [tipsDir, '#fff'],
                            time: 0,
                            area: ['auto', 'auto'],
                            skin: 'layui-layer-imgpreview'
                        }
                    );
                }
            }).on('mouseleave', '.icoPreviewIcon', function () {
                if (tipsIndex !== null) {
                    layer.close(tipsIndex);
                    tipsIndex = null;
                }
            });

             // 列表页预览图标悬停
             var tipsIndex = null;
             $(document).on('mouseenter', '.thumbPreview', function () {
                 var url = $(this).attr('src');
                 if (url) {
                     var offset = $(this).offset();
                     var scrollTop = $(window).scrollTop();
                     var topSpace = offset.top - scrollTop;
                     var tipsDir = 1;
                     if (topSpace < 200) tipsDir = 3;
                     tipsIndex = layer.tips(
                         '<img src="' + url + '" style="max-width:180px;max-height:180px;">',
                         this,
                         {
                             tips: [tipsDir, '#fff'],
                             time: 0,
                             area: ['auto', 'auto'],
                             skin: 'layui-layer-imgpreview'
                         }
                     );
                 }
             }).on('mouseleave', '.thumbPreview', function () {
                 if (tipsIndex !== null) {
                     layer.close(tipsIndex);
                     tipsIndex = null;
                 }
             });

            // 预览图标点击，新窗口打开图片
            $(document).on('click', '.icoPreviewIcon', function () {
                var $group = $(this).closest('.img-upload-group');
                var url = $group.find('.img-url-input').val();
                if (url) {
                    window.open(url, '_blank');
                }
            });
        });


        

       


        
    
    
    
    
