<?php /*a:1:{s:72:"D:\phpstudy_pro\WWW\democms.com\app\admin\template\index\imageslist.html";i:1747259368;}*/ ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>图片管理</title>
    <link href="/public/static/admin/lib/layui/css/layui.css" rel="stylesheet">
    <script src="/public/static/admin/lib/layui/layui.js"></script>
    <script type="text/javascript" src="/public/static/admin/lib/jquery-3.4.1/jquery-3.4.1.min.js"></script>
    <style>
        .layui-icon{font-size:14px;}
        .layui-col-xs2-4{width:20%;float:left;position:relative;display:block;box-sizing:border-box;padding:5px}
        .layui-card{box-shadow:none}
        .img-size-tip{position:absolute;bottom:0;left:0;right:0;color:#fff;padding:3px 6px;font-size:12px;text-align:center;background-color:rgba(0,0,0,0.7);transition:all 0.3s;transform:translateY(100%);opacity:0;z-index:10}
        .layui-card-body .layui-col-xs2-4:hover .delete-btn-container{display:block !important}
        .layui-panel:hover .img-size-tip{transform:translateY(0);opacity:1}
        .layui-laypage{margin:0px;}
        .layui-laypage  a i{font-size:14px}
        .layui-laypage a, .layui-laypage span{padding: 0 10px;height: 24px;line-height: 24px;border:none;}
        .layui-input-block input::placeholder{font-size:12px;}
        
    </style>
</head>

<body>
    <div class="layui-fluid" style="padding: 0 0px 0 15px;overflow: hidden;">
        <div class="layui-card">
            <div class="layui-card-body" style="padding:20px 0px">
                <!-- 头部工具栏 -->
                <div class="layui-row" style="padding:0 5px">
                    <div class="layui-inline">
                        <button type="button" class="layui-btn layui-btn-sm" id="uploadButton">
                            <i class="layui-icon layui-icon-upload"></i> 上传图片
                        </button>
                        <div class="layui-inline layui-text">
                            <span class="layui-badge-rim">存储于本地服务器，建议&lt;2M</span>
                        </div>
                    </div>
                    <div class="layui-layout-right" style="top:20px;right: 5px;">
                        <div class="layui-form layui-form-pane">
                            <div class="layui-form-item">
                                <div class="layui-input-block" style="margin-left:0; position:relative;">
                                    <input type="text" name="eytime" class="layui-input" id="datePicker" placeholder="选择上传时间"
                                        style="height:30px;padding-right: 32px;" autocomplete="off">
                                    <i class="layui-icon layui-icon-close" id="clearDatePicker"
                                            style="position:absolute; right:25px; top:5px;color:#bbb; cursor:pointer; display:none;"></i>
                                    <i class="layui-icon layui-icon-date" style="position:absolute;right:5px; top:5px;   color:#999;"></i>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- 图片列表区域 -->
                <div class="layui-row" style="min-height:340px">
                    <div class="layui-col-md12">
                        <div class="image-list layui-bg-gray" style="background-color:#ffff!important;margin-top:15px;"></div>
                    </div>
                </div>

                <!-- 底部工具栏 -->
                <div class="layui-row" style="padding:0 5px;margin-top:10px;">
                    <div class="layui-col-md6">
                        <div class="layui-btn-group">
                            <div class="layui-form layui-inline" style="margin-bottom:-4px;">
                                <input type="checkbox" name="checkAll" lay-filter="checkAllFilter" title="全选" lay-skin="primary">
                            </div>
                            <button type="button" class="layui-btn layui-btn-xs layui-btn-normal"
                                onclick="moving(this);">移动
                            </button>
                            <button type="button" class="layui-btn layui-btn-xs layui-btn-danger"
                                onclick="batch_delimg(this);">删除
                            </button>
                        </div>
                        <div id="pagination" class="layui-layout-right"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        layui.use(['laydate', 'upload', 'laypage', 'layer', 'form'], function () {
                var laydate = layui.laydate;
                var upload = layui.upload;
                var laypage = layui.laypage;
                var layer = layui.layer;
                var form = layui.form;

                // 初始化变量
                window.selectedImage = null;       // 当前选中的单张图片
                window.selectedImages = [];        // 选中的多张图片（批量操作用）
                window.currentPage = 1;            // 当前页码
                window.currentGroupId = 0;         // 当前分组ID
                window.multiSelectMode = false;    // 是否为多选模式
                window.uploadLoadingIndex = null;  // 上传加载层索引

                // 初始化表单元素
                form.render();

                // 全选复选框监听函数
                form.on('checkbox(checkAllFilter)', function (data) {
                    window.multiSelectMode = data.elem.checked;
                    if (data.elem.checked) {
                        // 只添加当前页图片，不清空已选
                        $('.image-list .layui-card').each(function () {
                            $(this).find('.layui-anim-fadein').css('display', 'flex');
                            const imgPath = $(this).attr('data-img');
                            if (imgPath && window.selectedImages.indexOf(imgPath) === -1) {
                                window.selectedImages.push(imgPath);
                            }
                        });
                        if (window.selectedImages.length > 0) {
                            window.selectedImage = window.selectedImages[0];
                        }
                    } else {
                        // 只移除当前页图片
                        $('.image-list .layui-card').each(function () {
                            $(this).find('.layui-anim-fadein').hide();
                            const imgPath = $(this).attr('data-img');
                            if (imgPath) {
                                const idx = window.selectedImages.indexOf(imgPath);
                                if (idx !== -1) {
                                    window.selectedImages.splice(idx, 1);
                                }
                            }
                        });
                        // 如果当前选中的图片被移除了，重置
                        if (window.selectedImages.length === 0) {
                            window.selectedImage = null;
                        } else if (window.selectedImage && window.selectedImages.indexOf(window.selectedImage) === -1) {
                            window.selectedImage = window.selectedImages[0];
                        }
                    }
                    console.log("全选框状态改变，多选模式：", window.multiSelectMode);
                    console.log("当前选中图片数量:", window.selectedImages.length);
                });


                function formatDate(d) {
                    var m = d.getMonth() + 1, day = d.getDate();
                    return d.getFullYear() + '-' +
                        (m < 10 ? '0' + m : m) + '-' +
                        (day < 10 ? '0' + day : day);
                }

                laydate.render({
                    elem: '#datePicker',
                    type: 'date',
                    range: true,
                    max: 0,
                    ready: function () {
                        // 默认高亮最近一个月
                        var end = new Date();
                        var start = new Date();
                        start.setMonth(end.getMonth() - 1);
                        // 处理跨月天数不够的情况
                        if (start.getDate() !== end.getDate()) {
                            start.setDate(1);
                        }
                        var startStr = formatDate(start);
                        var endStr = formatDate(end);
                        // 自动高亮（仅视觉高亮，不赋值输入框）
                        setTimeout(function () {
                            $('.layui-laydate-main-list-0 .layui-laydate-content td').each(function () {
                                var dateStr = $(this).attr('lay-ymd');
                                if (dateStr) {
                                    var d = new Date(dateStr.replace(/-/g, '/'));
                                    if (d >= start && d <= end) {
                                        $(this).addClass('layui-this');
                                    }
                                }
                            });
                        }, 10);
                    },
                    done: function (value, date, endDate) {
                        window.selectedDateRange = value;
                        loadImages(1, 10, window.selectedImage, value);
                        $('#clearDatePicker').toggle(value !== '');
                    }
                });
                  

                // 日期选择器初始化后加：
                $('#datePicker').on('input', function () {
                    $('#clearDatePicker').toggle($(this).val() !== '');
                });
                $('#clearDatePicker').on('click', function () {
                    $('#datePicker').val('');
                    $(this).hide();
                    window.selectedDateRange = '';
                    loadImages(1, 10, window.selectedImage, '');
                });
                // 页面初始化时判断是否显示清空按钮
                $(function () {
                    $('#clearDatePicker').toggle($('#datePicker').val() !== '');
                });

                // 上传图片配置
                upload.render({
                    elem: '#uploadButton',
                    url: '/admin/upload/upload_images',
                    accept: 'images',
                    exts: 'jpg|jpeg|png|gif|bmp|webp|ico',
                    multiple: true,
                    data: {
                        groupId: function () {
                            return window.currentGroupId || 0;
                        }
                    },
                    before: function () {
                        window.uploadLoadingIndex = layer.msg(
                            '<i class="layui-icon layui-icon-loading layui-anim layui-anim-rotate layui-anim-loop" style="font-size:24px; margin-right:10px;"></i>正在上传图片，请勿刷新页面',
                            {
                                icon: 0,
                                time: 0,
                                shade: 0.3,
                                shadeClose: false
                            }
                        );
                    },
                    done: function (res) {
                        if (res.success) {
                            // 判断是否多选模式
                            var isMulti = getQueryParam('multi') === '1';
                            if (res.files && Array.isArray(res.files) && res.files.length > 0) {
                                if (isMulti) {
                                    // 多选：全部加入
                                    res.files.forEach(function (file) {
                                        if (!window.selectedImages) window.selectedImages = [];
                                        if (window.selectedImages.indexOf(file.url) === -1) {
                                            window.selectedImages.push(file.url);
                                        }
                                    });
                                    window.selectedImage = window.selectedImages[0];
                                } else {
                                    // 单选：只选中第一张
                                    window.selectedImages = [res.files[0].url];
                                    window.selectedImage = res.files[0].url;
                                }
                            } else if (res.lastUploaded && res.lastUploaded.url) {
                                // 兼容旧接口
                                if (isMulti) {
                                    if (!window.selectedImages) window.selectedImages = [];
                                    if (window.selectedImages.indexOf(res.lastUploaded.url) === -1) {
                                        window.selectedImages.push(res.lastUploaded.url);
                                    }
                                    window.selectedImage = window.selectedImages[0];
                                } else {
                                    window.selectedImages = [res.lastUploaded.url];
                                    window.selectedImage = res.lastUploaded.url;
                                }
                            }
                            // 刷新图片列表
                            $.ajax({
                                url: '/admin/upload/get_images',
                                method: 'GET',
                                data: {
                                    page: 1,
                                    pageSize: 9999,
                                    groupId: window.currentGroupId,
                                    t: Date.now()
                                },
                                success: function (response) {
                                    const { data } = response;
                                    const normalizePath = (path) => {
                                        return decodeURIComponent(path || '')
                                            .replace(/\\/g, '/')
                                            .replace(/^\.\//, '')
                                            .replace(/\/\//g, '/');
                                    };
                                    // 定位到第一张上传图片
                                    let firstUrl = isMulti && res.files && res.files.length > 0 ? res.files[0].url : (res.lastUploaded && res.lastUploaded.url ? res.lastUploaded.url : null);
                                    const normalizedFirst = normalizePath(firstUrl);
                                    let index = data.findIndex(img =>
                                        normalizePath(img.url) === normalizedFirst
                                    );
                                    if (index !== -1) {
                                        let pageSize = 10;
                                        let page = Math.floor(index / pageSize) + 1;
                                        loadImages(page, pageSize, firstUrl);
                                    }
                                }
                            });
                        } else {
                            layer.msg('上传失败：' + res.message, { icon: 2, time: 2000 });
                        }
                    },
                    allDone: function (obj) {
                        layer.close(window.uploadLoadingIndex);
                        if (obj.successful > 0) {
                            if (obj.aborted > 0) {
                                layer.msg(`上传完成：${obj.successful}张成功，${obj.aborted}张失败`, {
                                    icon: 1, time: 2000
                                });
                            } else {
                                layer.msg(`${obj.successful}张图片上传完成`, {
                                    icon: 1, time: 2000
                                });
                            }
                            updateGroupCount(window.currentGroupId);
                        } else if (obj.aborted > 0) {
                            layer.msg(`所有图片上传失败`, { icon: 2, time: 2000 });
                        }
                    },
                    error: function () {
                        layer.close(window.uploadLoadingIndex);
                        layer.msg('上传失败，请重试', { icon: 2, time: 2000 });
                    }
                });

                // 更新分组计数函数
                function updateGroupCount(groupId) {
                    if (window.parent && window.parent.updateGroupCount) {
                        window.parent.updateGroupCount(groupId);
                    } else {
                        $.ajax({
                            url: '/admin/upload/get_image_groups',
                            type: 'GET',
                            dataType: 'json',
                            success: function (data) {
                                if (data && data.groups) {
                                    const group = data.groups.find(g => g.id == groupId);
                                    if (group) {
                                        console.log(`分组 ${groupId} 的图片数量已更新为 ${group.count}`);
                                    }
                                }
                            }
                        });
                    }
                }

                // 获取URL参数
                function getQueryParam(param) {
                    const urlParams = new URLSearchParams(window.location.search);
                    return urlParams.get(param);
                }

                // 页面初始化
                $(document).ready(function () {
                    const selectedImageUrl = getQueryParam('selectedImage');
                    (function () {
                        function getQueryParam(param) {
                            const urlParams = new URLSearchParams(window.location.search);
                            return urlParams.get(param);
                        }
                        if (getQueryParam('multi') === '1') {
                            window.multiSelectMode = true;
                            var selectedImages = getQueryParam('selectedImages');
                            if (selectedImages) {
                                window.selectedImages = selectedImages.split(',').filter(Boolean);
                            }
                        }
                    })();

                    const groupId = getQueryParam('groupId') || 0;
                    window.currentGroupId = parseInt(groupId);

                    // 只在 selectedImageUrl 有效时赋值，否则设为 null
                    if (
                        selectedImageUrl &&
                        selectedImageUrl !== 'null' &&
                        selectedImageUrl !== 'undefined' &&
                        selectedImageUrl.trim() !== ''
                    ) {
                        window.selectedImage = decodeURIComponent(selectedImageUrl);

                        // 关键：如果不是多选模式，自动同步到 selectedImages，保证单选高亮
                        if ((!window.multiSelectMode || !window.selectedImages || window.selectedImages.length === 0)) {
                            window.selectedImages = [window.selectedImage];
                        }

                        // 查找该图片在所有图片中的页码并跳转
                        $.ajax({
                           url: '/admin/upload/get_images',
                            method: 'GET',
                            data: { page: 1, pageSize: 9999, groupId: window.currentGroupId },
                            success: function (response) {
                                const { data } = response;
                                const normalizePath = (path) => {
                                    if (!path) return '';
                                    return decodeURIComponent(path)
                                        .replace(/\\/g, '/')
                                        .replace(/^\.\//, '')
                                        .replace(/\/\//g, '/');
                                };
                                const selectedNormalized = normalizePath(window.selectedImage);
                                const index = data.findIndex(img =>
                                    normalizePath(img.url) === selectedNormalized
                                );
                                if (index !== -1) {
                                    const pageSize = 10;
                                    const imgPage = Math.floor(index / pageSize) + 1;
                                    loadImages(imgPage, pageSize, window.selectedImage);
                                } else {
                                    loadImages(1, 10, null);
                                }
                            },
                            error: function () {
                                loadImages(1, 10, null);
                            }
                        });
                    } else {
                        window.selectedImage = null;
                        // 关键：不是多选时清空 selectedImages，防止残留
                        if (!window.multiSelectMode) {
                            window.selectedImages = [];
                        }
                        loadImages(1, 10, null);
                    }
                });

                // 加载图片列表
                window.loadImages = function (page = 1, pageSize = 10, selectedImageUrl = null, dateRange = null) {
                    const groupId = window.currentGroupId || 0;
                    let params = {
                        page: page,
                        pageSize: pageSize,
                        groupId: window.currentGroupId !== undefined ? window.currentGroupId : 0
                    };
                    if (dateRange) {
                        params.dateRange = dateRange;
                    }
                    $.ajax({
                        url: '/admin/upload/get_images',
                        method: 'GET',
                        data: params,
                        success: function (response) {
                            const { data, total } = response;
                            const container = $('.image-list');
                            container.empty();
                            if (data.length > 0) {
                                let foundSelected = false;
                                container.html('<div class="layui-row"></div>');
                                const rowContainer = container.find('.layui-row');
                                data.forEach(function (image) {
                                    // 判断当前图片是否已被选中（多选高亮）
                                    const isSelected = window.selectedImages && window.selectedImages.indexOf(image.url) !== -1;
                                    const imgHtml = `
                                        <div class="layui-col-xs2-4">
                                            <div class="layui-card" data-img="${image.url}" data-title="${image.name}">
                                                <div class="layui-card-body" style="padding:0px; cursor:pointer; position:relative;" onclick="selectImage(this, '${image.url}')">
                                                    <div class="layui-panel" style="background-color:#eaf5ff;display:flex; align-items:center; justify-content:center; height:133px; overflow:hidden; position:relative;">
                                                        <img src="${image.url}" class="layui-upload-img" style="max-width:100%; object-fit:contain;">
                                                        <div class="img-size-tip">
                                                            ${image.width}×${image.height}
                                                        </div>
                                                    </div>
                                                    <div class="layui-anim layui-anim-fadein" style="position:absolute; top:0; left:0; right:0; bottom:0; background-color:rgba(0,0,0,0.7); display:${isSelected ? 'flex' : 'none'}; align-items:center; justify-content:center;">
                                                        <i class="layui-icon layui-icon-ok-circle" style="color:#5FB878; font-size:30px;"></i>
                                                    </div>
                                                    <div class="delete-btn-container" style="position:absolute; top:1px; right:1px; display:none;">
                                                        <button type="button" class="layui-btn layui-btn-danger layui-btn-xs" style="padding: 0 2px;display: block;background-color:rgba(0,0,0,0.5);float:left;"
                                                            onclick="event.stopPropagation(); previewImage('${image.url}', '${image.name}', '${image.width}', '${image.height}')">
                                                            <i class="layui-icon layui-icon-search"></i>
                                                        </button>
                                                        <button type="button" class="layui-btn layui-btn-danger layui-btn-xs" style="padding: 0 2px;display: block;background-color:rgba(0,0,0,0.5);float:left;margin-left:3px;" onclick="event.stopPropagation(); deleteImage(event, '${image.url}')">
                                                            <i class="layui-icon layui-icon-delete"></i>
                                                        </button>
                                                    </div>
                                                </div>
                                                <div class="layui-card-header" style="border-bottom:none; padding:2px; height:auto; display:flex; align-items:center;">
                                                    <div class="layui-elip" style="width:100%;font-size:12px" title="${image.name}">${image.name}</div>
                                                </div>
                                            </div>
                                        </div>`;
                                    rowContainer.append(imgHtml);
                                });
                                renderPagination(total, page, pageSize);
                            } else {
                                container.html(`
                                    <div class="layui-card">
                                        <div class="layui-card-body" style="text-align: center; padding: 50px 0;">
                                            <i class="layui-icon layui-icon-picture" style="font-size: 80px; color: #d2d2d2;"></i>
                                            <div class="layui-text layui-font-gray">暂无图片</div>
                                        </div>
                                    </div>
                                `);
                                // 关键：无图片时也要刷新分页控件为0
                                renderPagination(0, 1, pageSize);
                            }
                        },
                        error: function () {
                            layer.msg('无法加载图片列表', { icon: 2, time: 2000 });
                        }
                    });
                }

                // 路径规范化函数
                function normalizePath(path) {
                    if (!path) return '';
                    return decodeURIComponent(path)
                        .replace(/\\/g, '/')
                        .replace(/^\.\//, '')
                        .replace(/\/\//g, '/');
                }

                // 选择图片函数，支持单选/多选模式
                window.selectImage = function (element, imagePath) {
                    var $card = $(element).closest('.layui-card');
                    var $overlay = $card.find('.layui-anim-fadein');
                    window.selectedImages = window.selectedImages || [];
                    // 只要multi=1，始终多选
                    var alwaysMulti = getQueryParam('multi') === '1';

                    if ($overlay.is(':visible')) {
                        // 取消选中当前图片
                        $overlay.hide();
                        const index = window.selectedImages.indexOf(imagePath);
                        if (index !== -1) {
                            window.selectedImages.splice(index, 1);
                        }
                        if (window.selectedImages.length === 0) {
                            window.selectedImage = null;
                            localStorage.removeItem('lastImageSelection');
                        } else if (window.selectedImage === imagePath) {
                            window.selectedImage = window.selectedImages[0];
                            localStorage.setItem('lastImageSelection', JSON.stringify({
                                url: window.selectedImage,
                                page: window.currentPage
                            }));
                        }
                        // 取消全选
                        if ($('input[name="checkAll"]').prop('checked')) {
                            $('input[name="checkAll"]').prop('checked', false);
                            window.multiSelectMode = alwaysMulti;
                            layui.form.render('checkbox');
                        }
                    } else {
                        // 关键：multi=1时始终多选，不清空已选
                        if (!alwaysMulti) {
                            $('.image-list .layui-card .layui-anim-fadein').hide();
                            window.selectedImages = [];
                        }
                        $overlay.css('display', 'flex');
                        window.selectedImage = imagePath;
                        if (window.selectedImages.indexOf(imagePath) === -1) {
                            window.selectedImages.push(imagePath);
                        }
                        window.currentPage = $('.layui-laypage-curr em:last-child').text() || 1;
                        const allImages = $('.layui-card[data-img]').length;
                        const selectedImageCount = $('.layui-card .layui-anim-fadein:visible').length;
                        if (selectedImageCount === allImages) {
                            $('input[name="checkAll"]').prop('checked', true);
                            window.multiSelectMode = true;
                            layui.form.render('checkbox');
                        }
                        localStorage.setItem('lastImageSelection', JSON.stringify({
                            url: imagePath,
                            page: window.currentPage
                        }));
                    }
                    // 关键：multi=1时始终多选
                    if (getQueryParam('multi') === '1') {
                        window.multiSelectMode = true;
                    }
                    console.log("多选模式:", window.multiSelectMode);
                    console.log("当前选中图片数量:", window.selectedImages.length);
                    console.log("当前选中图片:", window.selectedImages);
                };
                
                // 获取选中图片函数
                window.getSelectedImage = function () {
                    const visibleOverlay = $('.image-list .layui-card .layui-anim-fadein:visible').closest('.layui-card');
                    const highlightedImage = visibleOverlay.length ? visibleOverlay.attr('data-img') : null;
                    return highlightedImage || window.selectedImage || null;
                };

                // 获取更完整选中信息的函数（包含分组ID）
                window.getFullSelectedImage = function () {
                    const visibleOverlay = $('.image-list .layui-card .layui-anim-fadein:visible').closest('.layui-card');
                    const highlightedImage = visibleOverlay.length ? visibleOverlay.attr('data-img') : null;
                    const currentPage = window.currentPage || $('.layui-laypage-curr em:last-child').text() || 1;
                    if (!highlightedImage) return { url: null, page: parseInt(currentPage), groupId: window.currentGroupId || 0 };
                    return {
                        url: highlightedImage,
                        page: parseInt(currentPage),
                        groupId: window.currentGroupId || 0
                    };
                };

                // 移动图片到其他分组
                window.moving = function () {
                    if (!window.selectedImages || window.selectedImages.length === 0) {
                        layer.msg('请先全选或选择要移动的图片', { icon: 0, time: 1500 });
                        return;
                    }
                    $.ajax({
                        url: '/admin/upload/get_image_groups',
                        type: 'GET',
                        dataType: 'json',
                        success: function (data) {
                            var groupOptions = '';
                            data.groups.forEach(function (group) {
                                if (group.id != window.currentGroupId) {
                                    groupOptions += `<option value="${group.id}">${group.name}</option>`;
                                }
                            });
                            if (!groupOptions) {
                                layer.msg('没有其他分组可移动', { icon: 0, time: 1500 });
                                return;
                            }
                            layer.open({
                                title: '移动图片到分组',
                                closeBtn: 1,
                                area: ['400px', '200px'],
                                content: `<div class="layui-form">
                                    <div class="layui-form-item">
                                        <label class="layui-form-label">目标分组</label>
                                        <div class="layui-input-block">
                                            <select id="targetGroupSelect" lay-verify="required">
                                                ${groupOptions}
                                            </select>
                                        </div>
                                    </div>
                                </div>`,
                                btn: ['确定', '取消'],
                                btnAlign: 'c',
                                btn1: function (index) {
                                    var targetGroupId = $('#targetGroupSelect').val();
                                    if (!targetGroupId) {
                                        layer.msg('请选择目标分组', { icon: 0, time: 1500 });
                                        return;
                                    }
                                    $.ajax({
                                        url: '/admin/upload/move_images',
                                        method: 'POST',
                                        data: {
                                            imagePaths: JSON.stringify(window.selectedImages),
                                            targetGroupId: targetGroupId
                                        },
                                        dataType: 'json',
                                        success: function (response) {
                                            if (response.success) {
                                                layer.msg('移动成功', { icon: 1, time: 1500 });
                                                $('input[name="checkAll"]').prop('checked', false);
                                                form.render('checkbox');
                                                window.selectedImages = [];
                                                window.selectedImage = null;
                                                window.multiSelectMode = false;
                                                const sourceGroupId = window.currentGroupId;
                                                const targetGroupId = $('#targetGroupSelect').val();
                                                if (window.parent && window.parent.updateGroupCount) {
                                                    window.parent.updateGroupCount(sourceGroupId);
                                                    window.parent.updateGroupCount(targetGroupId);
                                                }
                                                loadImages();
                                                // 清除localStorage记录
                                                localStorage.removeItem('lastImageSelection');
                                                if (window.history && window.history.replaceState) {
                                                    const currentUrl = new URL(window.location.href);
                                                    currentUrl.searchParams.delete('selectedImage');
                                                    window.history.replaceState({}, document.title, currentUrl);
                                                }
                                            } else {
                                                layer.msg('移动失败：' + response.message, { icon: 2, time: 2000 });
                                            }
                                        },
                                        error: function () {
                                            layer.msg('无法完成移动操作', { icon: 2, time: 2000 });
                                        }
                                    });
                                    layer.close(index);
                                },
                                success: function () {
                                    layui.use('form', function () {
                                        var form = layui.form;
                                        form.render();
                                    });
                                }
                            });
                        },
                        error: function () {
                            layer.msg('无法加载分组信息', { icon: 2, time: 2000 });
                        }
                    });
                };

                // 删除单张图片
                window.deleteImage = function (event, imagePath) {
                    event.stopPropagation();
                    const currentPage = $('.layui-laypage-curr em:last-child').text() || 1;
                    const currentSelectedImage = window.getSelectedImage();
                    layer.confirm('确定要删除这张图片吗？', {
                        icon: 3,
                        title: '提示',
                        btn: ['确认', '取消'], // 取消在前，确认在后
                        btnAlign: 'c'
                        },
                        function (index) { // “取消”按钮回调（第一个按钮）
                            $.ajax({
                                url: '/admin/upload/delete_image',
                                method: 'POST',
                                data: { imagePath: imagePath },
                                dataType: 'json',
                                success: function (response) {
                                    if (response.success) {
                                        layer.msg('图片已删除', { icon: 1, time: 1500 });
                                        $('input[name="checkAll"]').prop('checked', false);
                                        form.render('checkbox');
                                        window.multiSelectMode = false;
                                        updateGroupCount(window.currentGroupId);
                                        if (normalizePath(currentSelectedImage) === normalizePath(imagePath)) {
                                            window.selectedImage = null;
                                            window.selectedImages = [];
                                            
                                            localStorage.removeItem('lastImageSelection');
                                            if (window.history && window.history.replaceState) {
                                                const currentUrl = new URL(window.location.href);
                                                currentUrl.searchParams.delete('selectedImage');
                                                window.history.replaceState({}, document.title, currentUrl);
                                            }
                                            loadImages(currentPage, 10);
                                        } else {
                                            loadImages(currentPage, 10, currentSelectedImage);
                                        }
                                    } else {
                                        layer.msg('删除失败222：' + response.message, { icon: 2, time: 2000 });
                                    }
                                },
                                error: function () {
                                    layer.msg('无法删除图片', { icon: 2, time: 2000 });
                                }
                            });
                            layer.close(index);
                        });
                };

                // 批量删除图片
                window.batch_delimg = function () {
                    if (!window.selectedImages || window.selectedImages.length === 0) {
                        layer.msg('请先全选或选择要删除的图片', { icon: 0, time: 1500 });
                        return;
                    }
                    layer.confirm('确定要删除选中的图片吗？', {
                        icon: 3,
                        title: '提示',
                        btn: ['确认', '取消'],
                        btnAlign: 'c',
                    }, function (index) {
                        $.ajax({
                            url: '/admin/upload/delete_image',
                            method: 'POST',
                            data: { imagePaths: JSON.stringify(window.selectedImages) },
                            ataType: 'json',
                            success: function (response) {
                                if (response.success) {
                                    layer.msg('图片已删除', { icon: 1, time: 1500 });
                                    $('input[name="checkAll"]').prop('checked', false);
                                    form.render('checkbox');
                                    window.selectedImages = [];
                                    window.selectedImage = null;
                                    window.multiSelectMode = false;
                                    updateGroupCount(window.currentGroupId);
                                    // 关键：删除后跳转到第一页，刷新图片和分页
                                    loadImages(1, 10, null);
                                    localStorage.removeItem('lastImageSelection');
                                    if (window.history && window.history.replaceState) {
                                        const currentUrl = new URL(window.location.href);
                                        currentUrl.searchParams.delete('selectedImage');
                                        window.history.replaceState({}, document.title, currentUrl);
                                    }
                                } else {
                                    layer.msg('删除失败：' + response.message, { icon: 2, time: 2000 });
                                }
                            },
                            error: function () {
                                layer.msg('无法删除图片', { icon: 2, time: 2000 });
                            }
                        });
                        layer.close(index);
                    });
                };

                window.previewImage = function (url, name, width, height) {
                    // 用 window.top 保证在最顶层弹窗
                    window.top.layui.layer.photos({
                        photos: {
                            "title": (name || '图片预览') + (width && height ? `（${width}×${height}）` : ''),
                            "data": [
                                {
                                    "alt": (name || '') + (width && height ? `（${width}×${height}）` : ''),
                                    "src": url,
                                    "thumb": url,
                                    "width": width,
                                    "height": height
                                }
                            ]
                        },
                        anim: 5,
                    });
                };


                window.getMultiSelectedImages = function () {
                    return window.selectedImages || [];
                };

                // 渲染分页函数
                function renderPagination(total, currentPage, pageSize) {
                    laypage.render({
                        elem: 'pagination',
                        count: total,
                        limit: pageSize,
                        curr: currentPage,
                        layout: ['prev', 'page', 'next', 'count'],
                        prev: '<i class="layui-icon layui-icon-left"></i>',
                        next: '<i class="layui-icon layui-icon-right"></i>',
                        jump: function (obj, first) {
                            if (!first) {
                                $('input[name="checkAll"]').prop('checked', false);
                                form.render('checkbox');
                                const currentSelected = window.selectedImage;
                                loadImages(obj.curr, obj.limit, currentSelected);
                            }
                        }
                    });
                    setTimeout(function () {
                        $('.layui-laypage-count').text(function (_, text) {
                            return text.replace('条', '张');
                        });
                    }, 10);
                }
            });
    </script>
   
</body>
</html>