<?php /*a:1:{s:78:"D:\phpstudy_pro\WWW\democms.com\app\admin\template\index\directory_images.html";i:1747173494;}*/ ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>目录图片浏览</title>
    <link href="/public/static/admin/lib/layui/css/layui.css" rel="stylesheet">
    <script src="/public/static/admin/lib/layui/layui.js"></script>
    <script type="text/javascript" src="/public/static/admin/lib/jquery-3.4.1/jquery-3.4.1.min.js"></script>
    <style>
        .layui-icon {
            font-size: 14px
        }

        .layui-col-xs2-4 {
            width: 20%;
            float: left;
            position: relative;
            display: block;
            box-sizing: border-box;
            padding: 5px
        }

        .layui-card {
            box-shadow: none
        }

        .img-size-tip {
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            color: #fff;
            padding: 3px 6px;
            font-size: 12px;
            text-align: center;
            background-color: rgba(0, 0, 0, 0.7);
            transition: all 0.3s;
            transform: translateY(100%);
            opacity: 0;
            z-index: 10
        }

        .layui-panel:hover .img-size-tip {
            transform: translateY(0);
            opacity: 1
        }

        .layui-card-body .layui-col-xs2-4:hover .delete-btn-container {
            display: block !important
        }

        .layui-laypage {
            margin: 0px
        }

        .layui-laypage a i {
            font-size: 14px
        }

        .layui-laypage a,
        .layui-laypage span {
            padding: 0 10px;
            height: 24px;
            line-height: 24px;
            border: none
        }
    </style>
</head>

<body>
    <div class="layui-fluid" style="padding: 0 0px 0 15px;">
        <div class="layui-card">
            <div class="layui-card-body" style="padding:0px">
                <!-- 图片列表区域 -->
                <div class="layui-row" style="min-height:340px">
                    <div class="layui-col-md12">
                        <div class="image-list layui-bg-gray" style="background-color:#ffff!important;margin-top:15px;">
                        </div>
                    </div>
                </div>

                <!-- 底部工具栏 - 只保留分页 -->
                <div class="layui-row" style="padding:0 5px;margin-top:10px;">
                    <div class="layui-col-md6">
                        <div id="pagination" class="layui-layout-right"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        layui.use(['laypage'], function () {
            var laypage = layui.laypage;

            // 初始化变量
            window.selectedImage = null;       // 当前选中的单张图片
            window.selectedImages = [];        // 选中的多张图片（批量操作用）
            window.currentPage = 1;            // 当前页码
            window.directoryPath = '';         // 当前目录路径

            // 判断是否多选模式
            function isMultiMode() {
                const urlParams = new URLSearchParams(window.location.search);
                return urlParams.get('multi') === '1';
            }

            // 获取URL参数
            function getQueryParam(param) {
                const urlParams = new URLSearchParams(window.location.search);
                return urlParams.get(param);
            }

            // 页面初始化
            $(document).ready(function () {
                const selectedImageUrl = getQueryParam('selectedImage');
                const selectedImagesParam = getQueryParam('selectedImages') || '';
                const directory = getQueryParam('directory') || '';
                window.directoryPath = directory;

                // 初始化多选
                if (isMultiMode() && selectedImagesParam) {
                    window.selectedImages = selectedImagesParam.split(',').filter(Boolean);
                }

                if (selectedImageUrl) {
                    window.selectedImage = decodeURIComponent(selectedImageUrl);
                    if (!isMultiMode()) {
                        window.selectedImages = [window.selectedImage];
                    }
                    loadImages(1, 10, window.selectedImage);
                } else {
                    loadImages(1, 10, null);
                }
            });

            // 加载图片列表
            window.loadImages = function (page = 1, pageSize = 10, selectedImageUrl = null) {
                $.ajax({
                    url: '/admin/upload/get_directory_images',
                    method: 'GET',
                    data: {
                        page: page,
                        pageSize: pageSize,
                        directory: window.directoryPath
                    },
                    dataType: 'json',
                    success: function (response) {
                        const { data, total } = response;
                        const container = $('.image-list');
                        container.empty();

                        if (data && data.length > 0) {
                            container.html('<div class="layui-row"></div>');
                            const rowContainer = container.find('.layui-row');

                            data.forEach(function (image) {
                                // 判断是否选中
                                let isSelected = false;
                                if (isMultiMode()) {
                                    isSelected = window.selectedImages.indexOf(image.url) !== -1;
                                } else {
                                    isSelected = selectedImageUrl && normalizePath(image.url) === normalizePath(selectedImageUrl);
                                }
                                if (isSelected && window.selectedImages.indexOf(image.url) === -1) {
                                    window.selectedImages.push(image.url);
                                }

                                const imgHtml = `
                                <div class="layui-col-xs2-4">
                                    <div class="layui-card" data-img="${image.url}" data-title="${image.name}">
                                        <div class="layui-card-body" style="padding:0px; cursor:pointer; position:relative;" onclick="selectImage(this, '${image.url}')">
                                            <div class="layui-panel" style="display:flex; align-items:center; justify-content:center; height:133px; overflow:hidden; position:relative;">
                                                <img src="${image.url}" class="layui-upload-img" style="max-width:100%; object-fit:contain;">
                                                <div class="img-size-tip">
                                                    ${image.width}×${image.height}
                                                </div>
                                            </div>
                                            <div class="layui-anim layui-anim-fadein" style="position:absolute; top:0; left:0; right:0; bottom:0; background-color:rgba(0,0,0,0.7); display:${isSelected ? 'flex' : 'none'}; align-items:center; justify-content:center;">
                                                <i class="layui-icon layui-icon-ok-circle" style="color:#5FB878; font-size:30px;"></i>
                                            </div>
                                            <div class="delete-btn-container" style="position:absolute; top:1px; right:1px; display:none;">
                                                <button type="button" class="layui-btn layui-btn-danger layui-btn-xs" style="padding: 0 2px;display: block;background-color:rgba(0,0,0,0.5);float:left;"
                                                    onclick="event.stopPropagation(); previewImage('${image.url}', '${image.name}', '${image.width}', '${image.height}')">
                                                    <i class="layui-icon layui-icon-search"></i>
                                                </button>
                                            </div>
                                        </div>
                                        <div class="layui-card-header" style="border-bottom:none; padding:2px; height:auto; display:flex; align-items:center;">
                                            <div class="layui-elip" style="width:100%;font-size:12px" title="${image.name}">${image.name}</div>
                                        </div>
                                    </div>
                                </div>`;
                                rowContainer.append(imgHtml);
                            });

                            renderPagination(total, page, pageSize);
                        } else {
                            container.html(`
                            <div class="layui-card">
                                <div class="layui-card-body" style="text-align: center; padding: 50px 0;">
                                    <i class="layui-icon layui-icon-picture" style="font-size: 80px; color: #d2d2d2;"></i>
                                    <div class="layui-text layui-font-gray">该目录下暂无图片</div>
                                </div>
                            </div>
                        `);
                        }
                    },
                    error: function () {
                        $('.image-list').html(`
                            <div class="layui-card">
                                <div class="layui-card-body" style="text-align: center; padding: 50px 0;">
                                    <i class="layui-icon layui-icon-face-cry" style="font-size: 80px; color: #d2d2d2;"></i>
                                    <div class="layui-text layui-font-gray">无法加载图片列表</div>
                                </div>
                            </div>
                        `);
                    }
                });
            }

            // 路径规范化函数
            function normalizePath(path) {
                if (!path) return '';
                return decodeURIComponent(path)
                    .replace(/\\/g, '/')
                    .replace(/^\.\//, '')
                    .replace(/\/\//g, '/');
            }

            // 选择图片函数 - 支持多选
            window.selectImage = function (element, imagePath) {
                var $card = $(element).closest('.layui-card');
                var $overlay = $card.find('.layui-anim-fadein');

                if (isMultiMode()) {
                    // 多选模式
                    var idx = window.selectedImages.indexOf(imagePath);
                    if (idx === -1) {
                        window.selectedImages.push(imagePath);
                        $overlay.css('display', 'flex');
                    } else {
                        window.selectedImages.splice(idx, 1);
                        $overlay.hide();
                    }
                    window.selectedImage = window.selectedImages[0] || null;
                } else {
                    // 单选模式
                    $('.image-list .layui-card .layui-anim-fadein').hide();
                    $overlay.css('display', 'flex');
                    window.selectedImage = imagePath;
                    window.selectedImages = [imagePath];
                }

                // 通知父窗口更新选中状态（可选）
                if (window.parent && window.parent.updateSelectedImage) {
                    window.parent.updateSelectedImage(imagePath);
                }

                // 记录当前页面
                window.currentPage = $('.layui-laypage-curr em:last-child').text() || 1;
            };

            // 获取多选图片
            window.getMultiSelectedImages = function () {
                return window.selectedImages || [];
            };

            // 获取单选图片
            window.getSelectedImage = function () {
                const visibleOverlay = $('.image-list .layui-card .layui-anim-fadein:visible').closest('.layui-card');
                const highlightedImage = visibleOverlay.length ? visibleOverlay.attr('data-img') : null;
                return highlightedImage || window.selectedImage || null;
            };

            window.previewImage = function (url, name, width, height) {
                window.top.layui.layer.photos({
                    photos: {
                        "title": (name || '图片预览') + (width && height ? `（${width}×${height}）` : ''),
                        "data": [
                            {
                                "alt": (name || '') + (width && height ? `（${width}×${height}）` : ''),
                                "src": url,
                                "thumb": url,
                                "width": width,
                                "height": height
                            }
                        ]
                    },
                    anim: 5,
                });
            };

            // 渲染分页函数
            function renderPagination(total, currentPage, pageSize) {
                laypage.render({
                    elem: 'pagination',
                    count: total,
                    limit: pageSize,
                    curr: currentPage,
                    layout: ['prev', 'page', 'next', 'count'],
                    prev: '<i class="layui-icon layui-icon-left"></i>',
                    next: '<i class="layui-icon layui-icon-right"></i>',
                    jump: function (obj, first) {
                        if (!first) {
                            const currentSelected = window.selectedImage;
                            loadImages(obj.curr, obj.limit, currentSelected);
                        }
                    }
                });

                setTimeout(function () {
                    $('.layui-laypage-count').text(function (_, text) {
                        return text.replace('条', '张');
                    });
                }, 10);
            }
        });
    </script>
</body>

</html>